# Overwrite customer Overwrite some customer information. This endpoint allows you to mark the customer on the account as active or inactive using the `is_active` field. This field is informative only. There are no restrictions that prevent inactive customers from performing any actions. If `customer.is_active` = `true`, and the `Maximum number of card holders` program parameter is set, this customer is counted in the account's maximum number of card holders limit. If the `customerId` parameter is not set, the server returns "Cannot get property `customerId` on null object". **Note:** If `social_name` and `nickname` are not passed, their values are overwritten as null. This endpoint generates a [Customer changed](https://developers.pismo.io/events/docs/account-customer-change-2) event. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounts", "version": "1.0.0", "description": "API used to manage accounts domain", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "API server for testing" } ], "tags": [ { "name": "Customers", "description": "Endpoints to manage customers" } ], "components": { "parameters": { "CustomerIdPath": { "name": "customerId", "in": "path", "description": "Customer ID", "required": true, "schema": { "type": "integer", "format": "int64", "example": 12345 } } }, "schemas": { "IndividualsEmailAddress": { "type": "string", "description": "Email address.", "format": "email", "maxLength": 100, "example": "jenna.flect@email.com" }, "CustomerIsActive": { "type": "boolean", "description": "Is customer active or not active? If `is_active` is null in this request, the Pismo platform doesn't overwrite the existing value.", "example": true }, "Nickname": { "type": "string", "description": "Nickname.", "maxLength": 128, "example": "Pinto" }, "PrintedName": { "type": "string", "description": "\nThis field is **DEPRECATED**. \n\nName to be printed on the card. \n\nPunctuation, special characters, and connectors (da/das/de/do/dos/e) are always removed. \n\nThis field's maximum length is 25, but you can set it to a lower value at the program level with the `Max name length on physical card` program parameter.\n\nIf `printed_name` is null, the Pismo platform uses `social_name`. If `social_name` is null, the Pismo platform uses the customer's entity name. For more information on the customer object, refer to [Core objects](https://developers.pismo.io/pismo-docs/docs/setup-overview#customer).\n\nThe Pismo platform gets the name for program parameter `TAMANHO MAX NOME EMBOSSADO` (max size name embossed).\n", "maxLength": 25, "deprecated": true, "example": "Jack Williams" }, "SimpleError": { "title": "SimpleError", "type": "object", "required": [ "message" ], "properties": { "message": { "type": "string", "description": "Error message" } } }, "SocialName": { "type": "string", "description": "Social name.", "maxLength": 64, "example": "Jack" }, "OverwriteCustomerInformationRequest": { "type": "object", "description": "Overwrite customer information request body", "properties": { "customer": { "properties": { "printed_name": { "$ref": "#/components/schemas/PrintedName" }, "social_name": { "$ref": "#/components/schemas/SocialName" }, "nickname": { "$ref": "#/components/schemas/Nickname" }, "is_active": { "$ref": "#/components/schemas/CustomerIsActive" }, "email": { "$ref": "#/components/schemas/IndividualsEmailAddress" } } } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "x-readme": { "explorer-enabled": true, "proxy-enabled": true, "samples-enabled": true }, "paths": { "/accounts/v2/customers/{customerId}": { "put": { "summary": "Overwrite customer", "description": "Overwrite some customer information. This endpoint allows you to mark the customer on the account as active or inactive using the `is_active` field. This field is informative only. There are no restrictions that prevent inactive customers from performing any actions.\n\nIf `customer.is_active` = `true`, and the `Maximum number of card holders` program parameter is set, this customer is counted in the account's maximum number of card holders limit.\n\nIf the `customerId` parameter is not set, the server returns \"Cannot get property `customerId` on null object\". \n\n**Note:** If `social_name` and `nickname` are not passed, their values are overwritten as null. \n\nThis endpoint generates a [Customer changed](https://developers.pismo.io/events/docs/account-customer-change-2) event.\n", "operationId": "customerV2Put", "tags": [ "Customers" ], "parameters": [ { "$ref": "#/components/parameters/CustomerIdPath" } ], "requestBody": { "description": "Customer data to overwrite", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/OverwriteCustomerInformationRequest" } } } }, "responses": { "200": { "description": "OK" }, "400": { "description": "Bad request", "content": { "application/json": { "schema": { "properties": { "message": { "type": "string" } } }, "examples": { "Maximum Additional Customers": { "value": { "message": "Exceeded maximum value of additional customers" } } } } } }, "404": { "description": "Customer {customerId} not found" }, "500": { "description": "Internal server error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SimpleError" }, "examples": { "Internal server error": { "value": { "message": "Internal server error" } } } } } } } } } } } ```